<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [Connection](./puppeteer.connection.md) &gt; [\_onMessage](./puppeteer.connection._onmessage.md)

## Connection.\_onMessage() method

<b>Signature:</b>

```typescript
_onMessage(message: string): Promise<void>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  message | string |  |

<b>Returns:</b>

Promise&lt;void&gt;

